import { ILegendOwner } from "./ILegendOwner";
import { ILegendSeries } from "./ILegendSeries";
import { Type } from "./type";
export interface IChartLegend {
    seriesOwner: ILegendOwner;
    chartOwner: ILegendOwner;
    containsChild(a: any): boolean;
    removeChild(a: any): void;
    addChildInOrder(a: any, b: ILegendSeries): void;
    clearLegendItemsForSeries(a: ILegendSeries): void;
    readonly isItemwise: boolean;
    readonly isScale: boolean;
}
export declare let IChartLegend_$type: Type;
